# class TCPSlaveBase | There are two classes that specifies the protocol between application (job) and kioslave. More...
Full name | `KIO::TCPSlaveBase`
Definition | `#include <tcpslavebase.h>`
Inherits | KIO::SlaveBase [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- TCPSlaveBase (unsigned short int default_port, const QCString &protocol, const QCString &pool_socket, const QCString &app_socket)
- virtual ~TCPSlaveBase ()

#### Protected Methods

- ssize_t Write (const void *data, ssize_t len)
- ssize_t Read (void *data, ssize_t len)
- ssize_t ReadLine (char *data, ssize_t len)
- unsigned short int GetPort (unsigned short int port)
- bool ConnectToHost (const QCString &host, unsigned short int port)
- void CloseDescriptor ()
- bool InitializeSSL ()
- void CleanSSL ()
- bool AtEOF ()

#### Protected Members

- bool m_bIsSSL
- unsigned short int m_iDefaultPort
- unsigned short int m_iPort
- int m_iSock
- QCString m_sServiceName
- FILE *fp
- Forward TcpSlaveBasePrivate
- TcpSlaveBasePrivate *d
- SSL_CTX *ssl_context
- SSL *ssl
- X509 *server_cert
- SSL_METHOD *meth

## Detailed Description

There are two classes that specifies the protocol between application (job) and kioslave. SlaveInterface is the class to use on the application end, SlaveBase is the one to use on the slave end.

Slave implementations should simply inherit SlaveBase

A call to foo() results in a call to slotFoo() on the other end.

TCPSlaveBase (unsigned short int default_port, const QCString &protocol, const QCString &pool_socket, const QCString &app_socket) | ### TCPSlaveBase

~TCPSlaveBase () | ### ~TCPSlaveBase

[virtual]

ssize_t Write (const void *data, ssize_t len) | ### Write

[protected]

ssize_t Read (void *data, ssize_t len) | ### Read

[protected]

ssize_t ReadLine (char *data, ssize_t len) | ### ReadLine

[protected]

unsigned short int GetPort (unsigned short int port) | ### GetPort

[protected]

bool ConnectToHost (const QCString &host, unsigned short int port) | ### ConnectToHost

[protected]

This does the initial TCP connection stuff and/or SSL handshaking

Parameters:

host | hostname
port | port number

Returns: on succes, true is returned. on failure, false is returned and an appropriate error message is send to the application.

void CloseDescriptor () | ### CloseDescriptor

[protected]

bool InitializeSSL () | ### InitializeSSL

[protected]

void CleanSSL () | ### CleanSSL

[protected]

bool AtEOF () | ### AtEOF

[protected]

bool m_bIsSSL | ### m_bIsSSL

[protected]

unsigned short int m_iDefaultPort | ### m_iDefaultPort

[protected]

unsigned short int m_iPort | ### m_iPort

[protected]

int m_iSock | ### m_iSock

[protected]

QCString m_sServiceName | ### m_sServiceName

[protected]

FILE * fp | ### fp

[protected]

TcpSlaveBasePrivate * d | ### d

[protected]

SSL_CTX * ssl_context | ### ssl_context

[protected]

SSL * ssl | ### ssl

[protected]

X509 * server_cert | ### server_cert

[protected]

SSL_METHOD * meth | ### meth

[protected]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.